/*
 * kedrigern.h - Kedrigern (Milena TTS server for Raspberry Pi)
 * Copyright (C) Bohdan R. Rau 2019 <ethanak@polip.com>
 *
 * Kedrigern is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * Kedrigern is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Kedrigern.  If not, write to:
 * 	The Free Software Foundation, Inc.,
 * 	51 Franklin Street, Fifth Floor
 * 	Boston, MA  02110-1301, USA.
 */
#ifndef _LIBKEDRIGERN_H
#define _LIBKEDRIGERN_H 1

#ifdef __cplusplus
extern "C" {
#endif

struct kdr_Voice {
    double tempo;
    double freq;
    int samplefreq;
    int samplerate;
    char ip[16];
    unsigned short port;
    unsigned short flags;
};

extern struct kdr_Voice *kdr_InitVoice(struct kdr_Voice *);
extern int kdr_Say(char *text, struct kdr_Voice *);
extern int kdr_Stop(struct kdr_Voice *);
extern int kdr_IsSpeaking(struct kdr_Voice *);


#ifdef __cplusplus
}
#endif
#endif
